using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;


namespace zadatak2 {
    class rndTest : IComparable {
        private int ceo;
        private String tekst;
        private static Random r = new Random();

        public rndTest() {            
            ceo = r.Next(10);
            for (int i = 1; i <= 5; i++)
                tekst += (char)(r.Next('A', 'Z'));
        }

        public override String ToString() {
            return ceo + " " + tekst;
        }
 
        public static rndTestComparer GetComparer() {
            return new rndTestComparer();
        } 

        #region IComparable Members
        public int CompareTo(object obj) {
            return ceo.CompareTo(((rndTest)obj).ceo);
        }
        #endregion

        public int CompareTo(rndTest obj, rndTestComparer.ComparisonType which) {
            switch (which) {
                case rndTestComparer.ComparisonType.ceo:
                    return ceo.CompareTo(obj.ceo);
                case rndTestComparer.ComparisonType.tekst:
                    return tekst.CompareTo(obj.tekst);
            }
            return 0;
        }

        public class rndTestComparer : IComparer {
            ComparisonType whichComparison;

            public enum ComparisonType {
                ceo,
                tekst
            };

            public ComparisonType WhichComparison {
                get { return whichComparison; }
                set { whichComparison = value; }
            }

            public int Compare(object obj1, object obj2) {
                 return ((rndTest)obj1).CompareTo((rndTest)obj2, WhichComparison);
            }
        }
    }
}
